﻿using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace BindCSharpLibrary
{
	public class DataManipulation
	{
		public DataManipulation()
        {

        }

		public string GetStringFromDictionary(Dictionary<string, object> dict, string key, string name)
		{
			if (name == null || name == String.Empty)
			{
				name = "Config";
			}
			try
			{
				return dict[key].ToString();
			}
			catch (KeyNotFoundException knfE)
			{
				throw new Exception("The Key <" + key + "> was not found in the dictionary: <" + name + ">. " + knfE.Message);
			}
			catch (ArgumentException argE)
			{
				throw new Exception("The Key <" + key + "> was not found in the dictionary: <" + name + ">. " + argE.Message);
			}
			catch (Exception E)
			{
				throw new Exception("Unexpected error while searching the key <" + key + "> in the dictionary: <" + name + ">. " + E.Message);
			}
		}
	}
}